ClusterManagerBase (Tomcat API Documentation)
Keywords: org.apache.catalina.ha.session.ClusterManagerBase class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.session
Class ClusterManagerBase

    java.lang.Object
      org.apache.catalina.session.ManagerBase
          org.apache.catalina.ha.session.ClusterManagerBase

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, javax.management.MBeanRegistration, ClusterManager, Lifecycle, Manager

Direct Known Subclasses:
  DeltaManager

    public abstract class ClusterManagerBase

extends ManagerBase
implements Lifecycle, java.beans.PropertyChangeListener, ClusterManager

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Filip Hanik

Field Summary

Fields inherited from class org.apache.catalina.session.ManagerBase
`algorithm, container, DEFAULT_ALGORITHM, devRandomSource, digest, distributable, domain, duplicates, entropy, expiredSessions, initialized, log, maxActive, maxInactiveInterval, mserver, name, oname, processExpiresFrequency, processingTime, random, randomClass, randomIS, sessionAverageAliveTime, sessionCounter, sessionIdLength, sessionMaxAliveTime, sessions, sm, support`

Fields inherited from interface org.apache.catalina.Lifecycle
`AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, DESTROY_EVENT, INIT_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

Constructor Summary
`ClusterManagerBase()`

Method Summary
`java.lang.ClassLoader[]` | `getClassLoaders()`
`static java.lang.ClassLoader[]` | `getClassLoaders(Container container)`
`ReplicationStream` | `getReplicationStream(byte[] data)` Open Stream and use correct ClassLoader (Container) Switch ThreadClassLoader
`ReplicationStream` | `getReplicationStream(byte[] data, int offset, int length)`

Methods inherited from class org.apache.catalina.session.ManagerBase
`add, addPropertyChangeListener, backgroundProcess, createEmptySession, createSession, createSession, destroy, expireSession, findSession, findSessions, generateSessionId, getActiveSessions, getAlgorithm, getClassName, getContainer, getCreationTime, getCreationTimestamp, getDigest, getDistributable, getDomain, getDuplicates, getEngine, getEntropy, getExpiredSessions, getInfo, getJvmRoute, getLastAccessedTime, getLastAccessedTimestamp, getMaxActive, getMaxInactiveInterval, getName, getNewSession, getObjectName, getProcessExpiresFrequency, getProcessingTime, getRandom, getRandomBytes, getRandomClass, getRandomFile, getSession, getSessionAttribute, getSessionAverageAliveTime, getSessionCounter, getSessionIdLength, getSessionMaxAliveTime, init, listSessionIds, postDeregister, postRegister, preDeregister, preRegister, processExpires, remove, removePropertyChangeListener, setAlgorithm, setContainer, setDistributable, setDuplicates, setEntropy, setExpiredSessions, setMaxActive, setMaxInactiveInterval, setProcessExpiresFrequency, setProcessingTime, setRandomClass, setRandomFile, setSessionAverageAliveTime, setSessionCounter, setSessionIdLength, setSessionMaxAliveTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.Lifecycle
`addLifecycleListener, findLifecycleListeners, removeLifecycleListener, start, stop`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Methods inherited from interface org.apache.catalina.ha.ClusterManager
`cloneFromTemplate, doDomainReplication, getCluster, getInvalidatedSessions, getName, isDefaultMode, isNotifyListenersOnReplication, messageDataReceived, requestCompleted, setCluster, setDefaultMode, setDomainReplication, setName`

Methods inherited from interface org.apache.catalina.Manager
`add, addPropertyChangeListener, backgroundProcess, createEmptySession, createSession, createSession, findSession, findSessions, getActiveSessions, getContainer, getDistributable, getExpiredSessions, getInfo, getMaxActive, getMaxInactiveInterval, getRejectedSessions, getSessionAverageAliveTime, getSessionCounter, getSessionIdLength, getSessionMaxAliveTime, load, remove, removePropertyChangeListener, setContainer, setDistributable, setExpiredSessions, setMaxActive, setMaxInactiveInterval, setRejectedSessions, setSessionAverageAliveTime, setSessionCounter, setSessionIdLength, setSessionMaxAliveTime, unload`

Constructor Detail

### ClusterManagerBase

    public ClusterManagerBase()

Method Detail

### getClassLoaders

    public static java.lang.ClassLoader[] getClassLoaders(Container container)

### getClassLoaders

    public java.lang.ClassLoader[] getClassLoaders()

### getReplicationStream

    public ReplicationStream getReplicationStream(byte[] data)
                                           throws java.io.IOException

  Open Stream and use correct ClassLoader (Container) Switch ThreadClassLoader

  Specified by:
    `getReplicationStream` in interface `ClusterManager`
  Parameters:
    `data` -
  Returns:
    The object input stream
  Throws:
    `java.io.IOException`

### getReplicationStream

    public ReplicationStream getReplicationStream(byte[] data,
                                                  int offset,
                                                  int length)
                                           throws java.io.IOException

  Specified by:
    `getReplicationStream` in interface `ClusterManager`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.